use super::*;

mod entity; pub use entity::*;
mod world;

pub struct SceneManager {
    channel:Sender<Query>,
}

impl SceneManager {

}

impl Subsystem for SceneManager {
    fn start(_supervisor:Option<Sender<Query>>) -> Result<Sender<Query>, Error>
    {
        Err(Error::new())
    }
}

impl From<Sender<Query>> for SceneManager {
    fn from(channel:Sender<Query>) -> Self {
        Self { channel }
    }
}
